KF5-CONFIG(1)

NAMN
kf5-config - Skriver ut installationssökvägar för Qt(TM) och ramverk

SYNOPSIS

kf5-config [--expandvars] [--prefix] [--exec-prefix] [--libsuffix] [--localprefix] [--version] [--kde-version] [--types] [--path typ] [--userpath typ] [--install typ] [--qt-prefix] [--qt-binaries] [--qt-libraries] [--qt-plugins]

BESKRIVNING

kf5-config är ett kommandoradsprogram som används för att hämta information om ramverkens installation eller användarsökvägar.

Använd programmet för att avgöra var de olika delarna av ramverksinstallationen finns på ditt system.

    Notera

    kf5-config är en ersättning för kde4-config vars användning i huvudsak avråds från, medan det rekommenderade verkyget att använda istället är qtpaths (som levereras med Qt(TM)).

VÄLJARE

--expandvars
    Expandera ${prefix} och ${exec_prefix} i utdata

--prefix
    Inkompilerat prefix för ramverksbibliotek

--exec-prefix
    Inkompilerat exec_prefix för ramverksbibliotek

--libsuffix
    Inkompilerat suffix för bibliotekssökvägar

--localprefix
    Prefix i $HOME som används för att skriva filer

---version
    Version av Qt(TM) och inkompilerad versionssträng för ramverksbibliotek och kf5-config

--kde-version
    Inkompilerad versionssträng för ramverksbibliotek.

--types
    Skriv ut en lista med alla tillgängliga resurstyper i KDE

--path typ
    Sökväg för angiven typ

--userpath typ
    Användarsökvägar för typerna: desktop|document

--install typ
    Prefix att installera resursfiler

--qt-prefix
    Installationsprefix för Qt(TM)

--qt-binaries
    Plats för installerade Qt(TM)-binärfiler

--qt-libraries
    Plats för installerade Qt(TM)-bibliotek

--qt-plugins
    Plats för installerade Qt(TM)-insticksprogram

EXEMPEL

Skriv ut ramverkens toppnivå-installationskatalog:

% kf5-config --prefix

Skriv ut en lista med alla resurstyper:

% kf5-config --types

Skriv ut sökvägen till det installerade skrivbordsunderlägget:

% kf5-config --path skrivbordsunderlägg

SE OCKSÅ

kf5options(7)

FEL

Inga kända.

AUTHOR

Stephan Kulow <coolo@kde.org>
    Author.